#ifndef CONTROL_PANEL_H_
#define CONTROL_PANEL_H_

#include "stdint.h"
#include <Arduino.h>

typedef struct 
{
	uint8_t dir;
	uint8_t prox;
	uint32_t intensity;
	float amb_temp;
} control_panel_work_t;

void control_panel_setup(control_panel_work_t * work);
void control_panel_update();

#endif

