#ifndef MEDIAN_FILTER_H_
#define MEDIAN_FILTER_H_

#include <cstdint>
#include <Arduino.h>

#define SIZE 3
class MedianFilter 
{
	private:
		uint32_t samples[SIZE];
		uint8_t head;
		uint8_t num_bad;
	
	public:
		MedianFilter(uint32_t initialValue);
    MedianFilter();

		uint32_t getFilteredValue( uint32_t measurement);

		uint32_t getMedian();
		void addSample(uint32_t meas);
};

#endif
				


		


